Get Provider Revenue
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Query Parameters
startDate?string
Start date for revenue calculation (inclusive)
Format
date-timeendDate?string
End date for revenue calculation (inclusive)
Format
date-timeplanId?string
Filter by plan ID (optional)
clientOrganizationId?string
Filter by client organization ID (optional)
includePending?boolean
Include pending/processing payouts in calculations (default: true)
Response Body
application/json
curl -X GET "https://api.noderings.com/v1/provider/revenue?startDate&endDate&planId&clientOrganizationId&includePending" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}"{
"totalRevenue": "string",
"totalPlatformFees": "string",
"totalNetPayouts": "string",
"currency": "string",
"completedPayoutCount": 0,
"pendingPayoutCount": 0,
"failedPayoutCount": 0,
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"waterfall": {
"grossSales": {
"amount": "string",
"currency": "string"
},
"grossSalesSettled": {
"amount": "string",
"currency": "string"
},
"platformFee": {
"amount": "string",
"currency": "string"
},
"platformFeeSettled": {
"amount": "string",
"currency": "string"
},
"stripeProcessingFee": {
"amount": "string",
"currency": "string"
},
"currencyConversionFee": {
"amount": "string",
"currency": "string"
},
"refunds": {
"amount": "string",
"currency": "string"
},
"refundsSettled": {
"amount": "string",
"currency": "string"
},
"netProfit": {
"amount": "string",
"currency": "string"
},
"chargeCurrency": "string",
"settlementCurrency": "string"
},
"transactions": [
{
"paymentIntentId": "string",
"chargeId": "string",
"status": "string",
"amount": {
"amount": "string",
"currency": "string"
},
"paymentMethodLast4": "string",
"paymentMethodBrand": "string",
"description": "string",
"customerId": "string",
"customerName": "string",
"createdAt": "2019-08-24T14:15:22Z",
"settlementMerchant": "string",
"transferredTo": "string",
"refundedAt": "2019-08-24T14:15:22Z",
"declineReason": "string",
"paymentAmountSettled": {
"amount": "string",
"currency": "string"
},
"exchangeRate": "string",
"platformFee": {
"amount": "string",
"currency": "string"
},
"applicationFeeId": "string",
"stripeProcessingFee": {
"amount": "string",
"currency": "string"
},
"currencyConversionFee": {
"amount": "string",
"currency": "string"
},
"netAmount": {
"amount": "string",
"currency": "string"
},
"activity": [
{
"label": "string",
"at": "2019-08-24T14:15:22Z"
}
],
"paymentMethodDetails": {
"id": "string",
"last4": "string",
"brand": "string",
"fingerprint": "string",
"expMonth": 0,
"expYear": 0,
"cardType": "string",
"issuer": "string",
"ownerName": "string",
"originCountry": "string"
},
"statementDescriptor": "string",
"feesTotalSettled": {
"amount": "string",
"currency": "string"
},
"platformFeeSettled": {
"amount": "string",
"currency": "string"
}
}
],
"succeededTransactionCount": 0,
"failedTransactionCount": 0,
"dataSource": "string",
"stripeWarning": "string",
"hasMoreTransactions": true,
"settlementCurrency": "string"
}